init: 
    # ===============================================================
    # Background
    # -----------
    image white = "#fff"
    image bg hospital = "bg/hospital.jpg"
    image bg hospitali = im.MatrixColor("bg/hospital.jpg", im.matrix.invert())
    image bg car rem = "bg/car_rem.jpg"
    image bg bedroom = "bg/bedroom.jpg"
    image bg garden = "bg/edengarden.jpg"
    image bg park = "bg/park.jpg"
    image bg ferris wheel = "bg/ferris_wheel.jpg"
    image bg corridor = "bg/corridor.jpg"
    image bg corridor light = "bg/corridor_light.jpg"
    image bg house corridor = "bg/house_corridor.jpg"
    image bg park snow = "bg/park_snow.jpg"
    image bg car = "bg/car.jpg"
    image bg grave = "bg/grave.jpg"
    
    # ===============================================================
    # Sprites
    # --------
    
    # Jill Summers
    image jill normal = "char/pixel.png"
    
    # Ciel
    image ciel normal = "char/pixel.png"
    image ciel twisted = "char/pixel.png" # @TODO: twisted image
    
    # Hilde
    image hilde normal = "char/pixel.png"
    
    # Juliet
    image juliet normal = "char/pixel.png"
    image juliet dark   = "char/pixel.png"
    
    # ===============================================================
    # CG
    # ---
    
    # ===============================================================
    # Transitions
    # -------------
    python:
        close_eyes  = ImageDissolve("sys/trans/open_eyes.png", 1.0, 100, reverse=True)
        open_eyes   = ImageDissolve("sys/trans/open_eyes.png", 1.0, 100)
        open_eyesf  = ImageDissolve("sys/trans/open_eyes.png", .3, 100)
        open_eyess  = ImageDissolve("sys/trans/open_eyes.png", 5.0, 100)
        open_door   = ImageDissolve("sys/trans/open_door.png", 1.0, 30)
        ch_line     = ImageDissolve("sys/trans/open_door.png", 1.0, 100, reverse=True)
        chapter_txt = ImageDissolve("sys/trans/vert.png", 5.0, 100)
        white_flash = Fade(.25, 0, 2, color="#fff")
    
    # ===============================================================
    # Other kind of SFX
    # ------------------
    image increasing sunlight = Alpha(0, 1.0, .8)( Solid("#fff") )
    
    # ===============================================================
    # Characters
    # -----------
    python:
        def oCharacter(name, narrator=False, **kwargs):
            if not narrator:
                kwargs["what_prefix"] = kwargs.get("what_prefix", '"')
                kwargs["what_suffix"] = kwargs.get("what_suffix", '"')
                kwargs["show_two_window"] = True
                
            return Character(name, ctc=anim.Filmstrip("sys/ctc.png", (22, 22), (4, 1), .2, yalign=1.0, xalign=1.0, xoffset=-16, yoffset=-40), ctc_position="fixed", show_function=custom_display_say, **kwargs)
            
        emilie = oCharacter('Emilie')
        emilie_t = oCharacter('Emilie', what_prefix='(', what_suffix=')')
        florence = oCharacter('Florence')
        florence_t = oCharacter('Florence', what_prefix='(', what_suffix=')')
        ciel_name = 'Strange guy'
        ciel = oCharacter("ciel_name", dynamic=True)
        hilde_name = 'Female voice'
        hilde = oCharacter('hilde_name', dynamic=True)
        jill = oCharacter('Jill')
        juliet = oCharacter('Juliet')
        _voice = oCharacter('Voice')
        narrator = oCharacter('', narrator=True)
        doll = oCharacter('Doll')
        centered_fast = Character(None, what_style="centered_fast", window_style="centered_window")
        
    # ===============================================================
    # Chapters
    # ---------
    image bg chapter    = "chapter/lsf.jpg"
    image cline         = "chapter/line.png"
    image chapter prologue = "chapter/prologue.png"
    image chapter 1     = "chapter/chapter1.png"
    image chapter 2     = "chapter/chapter2.png"
    image chapter 3     = "chapter/chapter3.png"
    image chapter 4     = "chapter/chapter4.png"
    image promised days = "chapter/promised_days.png"
    image winter fairy tale = "chapter/winter_fairy_tale.png"
    
    python:
        def _chapter(img, name=None):
            if name is not None:
                store.save_name = name
            
            renpy.music.stop(fadeout=1)
            
            renpy.scene()
            renpy.transition(dissolve)
            renpy.show("bg chapter")
            renpy.pause(.5)
            renpy.transition(close_eyes)
            renpy.show("chapter " + img)
            renpy.pause(.5)
            renpy.transition(ch_line)
            renpy.show("cline", behind=["chapter"])
            renpy.pause(5.0)
            
        def _ending(img):
            persistent.game_end = True
            
            renpy.scene()
            renpy.transition(dissolve)
            renpy.show("bg chapter")
            renpy.pause(.5)
            renpy.transition(chapter_txt)
            renpy.show(img)
            renpy.pause()
        
    # ===============================================================
    # Control variables
    # ------------------
    python:
        ciel_angry = False
        visited_eden = False